<template>
  <div id="company_logo">
    <router-link
      to="/"
      title="Company Logo"
    >
      <img
        :alt="alt"
        :src="$client.getPrimaryLogo()"
      />
    </router-link>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    alt: String,
  }
})
</script>

<style lang="scss">
#company_logo {
  width: 200px;

  img {
    max-width: 280px;
    max-height: 60px;
    margin: 20px;
  }
}
</style>
